// pages/goodsDetail/index.js
const app = getApp()
const user = require('../../api/user.js')
const store = require('../../api/store.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showMask: false,
    form:{
      name: '',
      phone: '',
      id: ''
    },
    detail: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      'form.id': options.id
    })
  },
   /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getProductDetail()
 },
  getProductDetail(){
    store.getProductDetail(this.data.form.id).then((res)=>{
     
      res.data.data.storeInfo.description.replace(/\<img/gi, '<img style="max-width:100%;height:auto;display:block;"')
      console.log('detail',res)
      this.setData({
        detail: res.data.data
      })
    })
  },
  showMaskDialog(){
    this.setData({
      showMask: true
    })
  },
  hideMaskDialog(){
    this.setData({
      showMask: false
    })
  },
  stopProp(){},
  inpName(e){
    this.setData({
      'form.name': e.detail.value
    })
  },
  inpPhone(e){
    this.setData({
      'form.phone': e.detail.value
    })
  },
  //提交咨询
  submitInfo(){
    if(this.data.form.name == '' ){
      return this.alertMessage('请输入您的姓名')
    } else if(this.data.form.phone == ''){
      return this.alertMessage('请输入您的电话')
    }
    user.saleLeads(this.data.form).then((res)=>{
      wx.showModal({
        title: '温馨提示',
        content: '恭喜您预约成功，稍后会有专属服务老师与您联系。',
        showCancel: false
      })
      this.setData({
        showMask: false
      })
    })
  },
  alertMessage(msg){
    wx.showToast({
      title: msg,
      icon: 'none'
    })
  },
  toHome(){
    wx.switchTab({
      url: '/pages/home/index',
    })
  },
  toList(){
    wx.switchTab({
      url: '/pages/goodsList/index',
    })
  },
 

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return{
      title: this.data.detail.storeInfo.storeName,
      imageUrl: this.data.detail.storeInfo.image,
      path: '/pages/goodsDetail/index?id='+ this.data.detail.storeInfo.id
    }
  }
})